CompareExpression (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching.filter

## Class CompareExpression

- java.lang.Object
- - org.neo4j.graphmatching.filter.AbstractFilterExpression
  - - org.neo4j.graphmatching.filter.CompareExpression

- All Implemented Interfaces:
    FilterExpression

  Deprecated.

      @Deprecated
      public class CompareExpression
      extends AbstractFilterExpression

  An implementation which can compare commons expressions, f.ex: less than (<), greater than or equal to (>=) a.s.o.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompareExpression(String label, String property, String operator, Object value)` Deprecated. Constructs a new comparison expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(FilterValueGetter valueGetter)` Deprecated. Matches a value from a `valueGetter` and returns whether or not there was a match.

    - ### Methods inherited from class org.neo4j.graphmatching.filter.AbstractFilterExpression

      `getLabel, getProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareExpression

          public CompareExpression(String label,
                           String property,
                           String operator,
                           Object value)

      Deprecated.
      Constructs a new comparison expression.
      Parameters:
        `label` - the `PatternNode` label.
        `property` - property key.
        `operator` - operator, f.ex. >= or < or =
        `value` - value to compare against.

  - ### Method Detail

    - #### matches

          public boolean matches(FilterValueGetter valueGetter)

      Deprecated.
      Description copied from interface: `FilterExpression`
      Matches a value from a `valueGetter` and returns whether or not there was a match.
      Parameters:
        `valueGetter` - the getter which fetches the value to match.
      Returns:
        whether or not the value from `valueGetter` matches the criterias found in this expression.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.